'use strict'

var path = require('path')
var webpack = require('webpack')
const UglifyJSPlugin = require('uglifyjs-webpack-plugin');

module.exports = {
  devtool: 'eval',
  entry: [
    './src/index'
  ],
  output: {
    path: path.join(__dirname, 'dist'),
    filename: 'bundle.js',
    publicPath: '/static/'
  },
  plugins: [
    new UglifyJSPlugin()
  ],
  module: {
    loaders: [{
      test: /\.js$/,
//      loaders: ['babel-loader'],
      include: path.join(__dirname, 'src')
    }, /*{ test: /\.json$/, loader: 'json-loader' }*/]
  },
  node: {
    fs: 'empty',
    net: 'empty',
    tls: 'empty'
  }
}
